<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/EqualizerImplementations/test/EqualizerControllerTest.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_63c328d9f040c398ed3a99417a38689e.html">EqualizerImplementations</a></li><li class="navelem"><a class="el" href="dir_416300ee0084567de5554b5a1731efd0.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">EqualizerControllerTest.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;functional&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_configuration_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerConfigurationInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_equalizer_controller_listener_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/MockEqualizerControllerListenerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_equalizer_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/MockEqualizerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_equalizer_mode_controller_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/MockEqualizerModeControllerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_mock_equalizer_storage_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/MockEqualizerStorageInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_success_result_8h_source.html">AVSCommon/Utils/Error/SuccessResult.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_equalizer_controller_8h_source.html">EqualizerImplementations/EqualizerController.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_in_memory_equalizer_configuration_8h_source.html">EqualizerImplementations/InMemoryEqualizerConfiguration.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for EqualizerControllerTest.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_equalizer_controller_test_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2test_2_equalizer_controller_test_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2test_2_equalizer_controller_test_8cpp" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2test_2_equalizer_controller_test_8cpp">
<area shape="rect" id="node5" href="_equalizer_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerConfiguration\lInterface.h" alt="" coords="1661,205,1859,257"/>
<area shape="rect" id="node8" href="_success_result_8h.html" title="AVSCommon/Utils/Error\l/SuccessResult.h" alt="" coords="1233,379,1397,417"/>
<area shape="rect" id="node16" href="_mock_equalizer_controller_listener_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/MockEqualizerController\lListenerInterface.h" alt="" coords="678,105,886,157"/>
<area shape="rect" id="node19" href="_mock_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/MockEqualizerInterface.h" alt="" coords="174,112,387,151"/>
<area shape="rect" id="node21" href="_mock_equalizer_mode_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/MockEqualizerModeController\lInterface.h" alt="" coords="412,105,653,157"/>
<area shape="rect" id="node23" href="_mock_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/MockEqualizerStorageInterface.h" alt="" coords="910,112,1170,151"/>
<area shape="rect" id="node25" href="_equalizer_controller_8h.html" title="EqualizerImplementations\l/EqualizerController.h" alt="" coords="1194,112,1369,151"/>
<area shape="rect" id="node28" href="_in_memory_equalizer_configuration_8h.html" title="EqualizerImplementations\l/InMemoryEqualizerConfiguration.h" alt="" coords="1393,112,1623,151"/>
<area shape="rect" id="node10" href="hash_8h.html" title="AVSCommon/Utils/functional\l/hash.h" alt="" coords="939,379,1131,417"/>
<area shape="rect" id="node13" href="_equalizer_types_8h.html" title="EqualizerTypes.h" alt="" coords="893,305,1017,331"/>
<area shape="rect" id="node9" href="_result_8h.html" title="Result.h" alt="" coords="1280,465,1350,491"/>
<area shape="rect" id="node18" href="_equalizer_controller_listener_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerControllerListener\lInterface.h" alt="" coords="762,205,985,257"/>
<area shape="rect" id="node20" href="_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="314,212,505,251"/>
<area shape="rect" id="node22" href="_equalizer_mode_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerModeController\lInterface.h" alt="" coords="529,205,738,257"/>
<area shape="rect" id="node24" href="_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="1009,212,1237,251"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1test_1_1_equalizer_controller_test.html">alexaClientSDK::equalizer::test::EqualizerControllerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">alexaClientSDK::equalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html">alexaClientSDK::equalizer::test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a078bcc44bd474d2232ace6c1ad5c2d22"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a078bcc44bd474d2232ace6c1ad5c2d22">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_providedEmptyConfig_shouldUseDefaults)</td></tr>
<tr class="separator:a078bcc44bd474d2232ace6c1ad5c2d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a763e0252c2757ffd2fbcc9d4d65ffa67"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a763e0252c2757ffd2fbcc9d4d65ffa67">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_changeBandLevels_shouldSucceed)</td></tr>
<tr class="separator:a763e0252c2757ffd2fbcc9d4d65ffa67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33f7a54d15185fc6b7fd194004853d0f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a33f7a54d15185fc6b7fd194004853d0f">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_setInvalidBandLevels_shouldClampToSupportedRange)</td></tr>
<tr class="separator:a33f7a54d15185fc6b7fd194004853d0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bc96fcf4d9eb161e4f26af792b22605"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a7bc96fcf4d9eb161e4f26af792b22605">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_setMode_shouldSucceed)</td></tr>
<tr class="separator:a7bc96fcf4d9eb161e4f26af792b22605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a487654e708adbfd0ec1543a7dd23efd4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a487654e708adbfd0ec1543a7dd23efd4">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_setInvalidMode_shouldNotChangeMode)</td></tr>
<tr class="separator:a487654e708adbfd0ec1543a7dd23efd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfd050c0c586d2a01ed9f5aa9f4ce8f3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#abfd050c0c586d2a01ed9f5aa9f4ce8f3">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_providedBandLevelChanges_addRemoveListener_shouldFollowSubscriptionStatus)</td></tr>
<tr class="separator:abfd050c0c586d2a01ed9f5aa9f4ce8f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab471c045e34cc64fae463119d78b225d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab471c045e34cc64fae463119d78b225d">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_providedModeChanges_addRemoveListener_shouldFollowSubscriptionStatus)</td></tr>
<tr class="separator:ab471c045e34cc64fae463119d78b225d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58e5ae2b5c953e4791de8b65d4d82854"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a58e5ae2b5c953e4791de8b65d4d82854">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_providedBandLevelChanges_addRemoveMultipleListeners_shouldFollowSubscriptionStatus)</td></tr>
<tr class="separator:a58e5ae2b5c953e4791de8b65d4d82854"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9da5947af6ca9436786d22756a3336c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab9da5947af6ca9436786d22756a3336c">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_triggerChangesMultipleTimes_ExpectListenersNotifiedSameTimes)</td></tr>
<tr class="separator:ab9da5947af6ca9436786d22756a3336c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa638b0a9b601f26b1c7176b37063a0c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#aaa638b0a9b601f26b1c7176b37063a0c">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_providedBandLevelChanges_addRemoveSingleEqualizer_shouldFollowRegistrationStatus)</td></tr>
<tr class="separator:aaa638b0a9b601f26b1c7176b37063a0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab81db9f8dd6469e520130a7cae837840"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab81db9f8dd6469e520130a7cae837840">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_providedBandLevelChanges_addRemoveMultipleEqualizers_shouldFollowRegistrationStatus)</td></tr>
<tr class="separator:ab81db9f8dd6469e520130a7cae837840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57828c40ca1fc49df80f8ab0768ec829"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a57828c40ca1fc49df80f8ab0768ec829">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_triggerChangesMultipleTimes_ExpectEqualizersCalledSameTimes)</td></tr>
<tr class="separator:a57828c40ca1fc49df80f8ab0768ec829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099c28dcda48cb6101793dab6303441b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a099c28dcda48cb6101793dab6303441b">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_saveLoadStateWithPersistentStorage_shouldSucceed)</td></tr>
<tr class="separator:a099c28dcda48cb6101793dab6303441b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8cb618ce791aec90b23a3e9ed3bd084"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab8cb618ce791aec90b23a3e9ed3bd084">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_setLevelBelowEqualizerMinimum_shouldClamp)</td></tr>
<tr class="separator:ab8cb618ce791aec90b23a3e9ed3bd084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4f435d4d63b0919bb106ccee7597a7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a7d4f435d4d63b0919bb106ccee7597a7">alexaClientSDK::equalizer::test::TEST_F</a> (EqualizerControllerTest, test_setLevelAboveEqualizerMaximum_shouldClamp)</td></tr>
<tr class="separator:a7d4f435d4d63b0919bb106ccee7597a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:af09fea16249b199bfe718e1d85b1050f"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#af09fea16249b199bfe718e1d85b1050f">alexaClientSDK::equalizer::test::MIN_LEVEL</a> = -10</td></tr>
<tr class="memdesc:af09fea16249b199bfe718e1d85b1050f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level used as minimum value in tests.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#af09fea16249b199bfe718e1d85b1050f">More...</a><br /></td></tr>
<tr class="separator:af09fea16249b199bfe718e1d85b1050f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab98ae8a9513aea09ffefee95e5a21987"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab98ae8a9513aea09ffefee95e5a21987">alexaClientSDK::equalizer::test::MAX_LEVEL</a> = 10</td></tr>
<tr class="memdesc:ab98ae8a9513aea09ffefee95e5a21987"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level used as maximum value in tests.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#ab98ae8a9513aea09ffefee95e5a21987">More...</a><br /></td></tr>
<tr class="separator:ab98ae8a9513aea09ffefee95e5a21987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a671618aa35ae8f28e591733f007ab009"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a671618aa35ae8f28e591733f007ab009">alexaClientSDK::equalizer::test::BELOW_MIN_LEVEL</a> = -11</td></tr>
<tr class="memdesc:a671618aa35ae8f28e591733f007ab009"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level below the minimum allowed.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a671618aa35ae8f28e591733f007ab009">More...</a><br /></td></tr>
<tr class="separator:a671618aa35ae8f28e591733f007ab009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68a500675286df456280cb09b2f8e3d0"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a68a500675286df456280cb09b2f8e3d0">alexaClientSDK::equalizer::test::ABOVE_MAX_LEVEL</a> = 11</td></tr>
<tr class="memdesc:a68a500675286df456280cb09b2f8e3d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level above the maximum allowed.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a68a500675286df456280cb09b2f8e3d0">More...</a><br /></td></tr>
<tr class="separator:a68a500675286df456280cb09b2f8e3d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b86084a8b5b78e5ca4c6467df002a9c"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1b86084a8b5b78e5ca4c6467df002a9c">alexaClientSDK::equalizer::test::DEFAULT_LEVEL</a> = 0</td></tr>
<tr class="memdesc:a1b86084a8b5b78e5ca4c6467df002a9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Band level used as a default.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1b86084a8b5b78e5ca4c6467df002a9c">More...</a><br /></td></tr>
<tr class="separator:a1b86084a8b5b78e5ca4c6467df002a9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34ad0ccf1dd4ceb9eae76c24d05b2ff3"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a34ad0ccf1dd4ceb9eae76c24d05b2ff3">alexaClientSDK::equalizer::test::DEFAULT_MIDRANGE</a> = DEFAULT_LEVEL</td></tr>
<tr class="memdesc:a34ad0ccf1dd4ceb9eae76c24d05b2ff3"><td class="mdescLeft">&#160;</td><td class="mdescRight">A sample default band level for MIDRANGE band.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a34ad0ccf1dd4ceb9eae76c24d05b2ff3">More...</a><br /></td></tr>
<tr class="separator:a34ad0ccf1dd4ceb9eae76c24d05b2ff3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1926be9b7cae1f39bcc04844e39f8d8f"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1926be9b7cae1f39bcc04844e39f8d8f">alexaClientSDK::equalizer::test::NON_DEFAULT_MIDRANGE</a> = 4</td></tr>
<tr class="memdesc:a1926be9b7cae1f39bcc04844e39f8d8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A sample band level for MIDRANGE band different from default.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a1926be9b7cae1f39bcc04844e39f8d8f">More...</a><br /></td></tr>
<tr class="separator:a1926be9b7cae1f39bcc04844e39f8d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc7464e258b8fc77f166568ee1e4502c"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#abc7464e258b8fc77f166568ee1e4502c">alexaClientSDK::equalizer::test::DEFAULT_TREBLE</a> = 5</td></tr>
<tr class="memdesc:abc7464e258b8fc77f166568ee1e4502c"><td class="mdescLeft">&#160;</td><td class="mdescRight">A sample default band level for TREBLE band.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#abc7464e258b8fc77f166568ee1e4502c">More...</a><br /></td></tr>
<tr class="separator:abc7464e258b8fc77f166568ee1e4502c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a071fdfb368d154c5aa3e5f9b940b2c11"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a071fdfb368d154c5aa3e5f9b940b2c11">alexaClientSDK::equalizer::test::NON_DEFAULT_TREBLE</a> = -5</td></tr>
<tr class="memdesc:a071fdfb368d154c5aa3e5f9b940b2c11"><td class="mdescLeft">&#160;</td><td class="mdescRight">A sample band level for TREBLE band different from default.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a071fdfb368d154c5aa3e5f9b940b2c11">More...</a><br /></td></tr>
<tr class="separator:a071fdfb368d154c5aa3e5f9b940b2c11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51b9e858553de014d8da520e04538be7"><td class="memItemLeft" align="right" valign="top">static constexpr EqualizerMode&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a51b9e858553de014d8da520e04538be7">alexaClientSDK::equalizer::test::DEFAULT_MODE</a> = EqualizerMode::NONE</td></tr>
<tr class="memdesc:a51b9e858553de014d8da520e04538be7"><td class="mdescLeft">&#160;</td><td class="mdescRight">A sample default mode.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#a51b9e858553de014d8da520e04538be7">More...</a><br /></td></tr>
<tr class="separator:a51b9e858553de014d8da520e04538be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc119549b0a419c7ce8af9a2f642ce77"><td class="memItemLeft" align="right" valign="top">static constexpr int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#afc119549b0a419c7ce8af9a2f642ce77">alexaClientSDK::equalizer::test::STABILITY_CHECK_ITERATIONS</a> = 100</td></tr>
<tr class="memdesc:afc119549b0a419c7ce8af9a2f642ce77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of times to perform an operation to make sure that it provides consistent results.  <a href="namespacealexa_client_s_d_k_1_1equalizer_1_1test.html#afc119549b0a419c7ce8af9a2f642ce77">More...</a><br /></td></tr>
<tr class="separator:afc119549b0a419c7ce8af9a2f642ce77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
